OpenVPN 2.4.0 .NET Framework 4.0

This forum is for all inquiries relating to the installation of OpenVPN from source and with binaries.
Forum rules
Please visit (and READ) the OpenVPN HowTo http://openvpn.net/howto prior to asking any questions in here!
MrMrDude
OpenVpn Newbie
Posts: 1
Joined: Mon Jan 09, 2017 1:07 pm

OpenVPN 2.4.0 .NET Framework 4.0

Postby MrMrDude » Mon Jan 09, 2017 1:15 pm

The installer on Windows for version 2.4.0 prompts to download .NET Framework 4.0 when .NET Framework 4.0 is not installed.

However, I ignored and skipped the prompt to download .NET Framework 4.0 and proceeded with the installation without .NET Framework 4.0 and OpenVPN seems to be working just fine.

Here is part of the install log:

Code: Select all

...
Extract: openvpnserv2.exe... 100%
Installing OpenVPN Service...
NET 4.0 not found. Using sc.exe to install openvpnservice
[SC] CreateService SUCCESS
...
[SC] ChangeServiceConfig SUCCESS
Started OpenVPNServiceInteractive
Checking .NET Framework version...
.NET Framework 4.0 Full not found, download is required for program to run.
Proceeding with remainder of installation.
Completed

So is it O.K. to use OpenVPN 2.4.0 without .NET Framework 4.0? Or am I better off to install .NET Framework 4.0 for any specific reason?

Thank you!

Return to “Installation Help”

Who is online

Users browsing this forum: No registered users and 6 guests